# Getting Started

- [Welcome](https://docs.sportmonks.com/v3/odds-api/getting-started/welcome.md): Welcome to our football documentation. Here you will find everything you need to know about Sportmonks’ Football API.
- [Authentication](https://docs.sportmonks.com/v3/odds-api/getting-started/authentication.md): All of our API's require authentication. You can create API tokens in MySportmonks.
- [Request options](https://docs.sportmonks.com/v3/odds-api/getting-started/request-options.md)
- [Query complexity](https://docs.sportmonks.com/v3/odds-api/getting-started/query-complexity.md)
- [Response Codes](https://docs.sportmonks.com/v3/odds-api/getting-started/response-codes.md)
- [Endpoints](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints.md): A list of all our available endpoints
- [Pre-match Odds](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/pre-match-odds.md)
- [GET All Odds](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/pre-match-odds/get-all-odds.md)
- [GET Odds by Fixture ID](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/pre-match-odds/get-odds-by-fixture-id.md)
- [GET Odds by Fixture ID and Bookmaker ID](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/pre-match-odds/get-odds-by-fixture-id-and-bookmaker-id.md)
- [GET Odds by Fixture ID and Market ID](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/pre-match-odds/get-odds-by-fixture-id-and-market-id.md)
- [GET Last Updated Odds](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/pre-match-odds/get-last-updated-odds.md)
- [Inplay Odds](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/inplay-odds.md)
- [GET All Odds](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/inplay-odds/get-all-odds.md)
- [GET Odds by Fixture ID](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/inplay-odds/get-odds-by-fixture-id.md)
- [GET Odds by Fixture ID and Bookmaker ID](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/inplay-odds/get-odds-by-fixture-id-and-bookmaker-id.md)
- [GET Odds by Fixture ID and Market ID](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/inplay-odds/get-odds-by-fixture-id-and-market-id.md)
- [GET Last Updated Odds](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/inplay-odds/get-last-updated-odds.md)
- [Bookmakers](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/bookmakers.md)
- [GET All Bookmakers](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/bookmakers/get-all-bookmakers.md): This endpoint returns all the bookmakers available in our football API.
- [GET Bookmaker by ID](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/bookmakers/get-bookmaker-by-id.md): This endpoint returns bookmakers' information from your requested bookmaker ID.
- [GET Bookmakers Search by Name](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/bookmakers/get-bookmakers-search-by-name.md): This endpoint returns bookmakers' information from your requested search query.
- [GET Bookmakers by Fixture ID](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/bookmakers/get-bookmakers-by-fixture-id.md): This endpoint returns all the bookmakers available for your requested fixture ID.
- [GET Bookmaker Event ID's by Fixture Id](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/bookmakers/get-bookmaker-event-ids-by-fixture-id.md): This endpoint returns all the bookmakers event ids available for your requested fixture ID.
- [Markets](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/markets.md)
- [GET All Markets](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/markets/get-all-markets.md): This endpoint returns all the markets available in our Football API.
- [GET Market by ID](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/markets/get-market-by-id.md): This endpoint returns market's information from your requested market ID.
- [GET Markets by Search by Name](https://docs.sportmonks.com/v3/odds-api/getting-started/endpoints/markets/get-markets-by-search-by-name.md): This endpoint returns markets information from your requested search query.
- [Entities](https://docs.sportmonks.com/v3/odds-api/getting-started/entities.md): A list of all our available endpoints
- [Bookmaker](https://docs.sportmonks.com/v3/odds-api/getting-started/entities/bookmaker.md)
- [Market](https://docs.sportmonks.com/v3/odds-api/getting-started/entities/market.md)
- [Odd](https://docs.sportmonks.com/v3/odds-api/getting-started/entities/odd.md)
- [InplayOdd](https://docs.sportmonks.com/v3/odds-api/getting-started/entities/inplayodd.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/odds-api/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
